<template>
  <date-picker
    :modal="modal"
    :value="task.postponedUntil"
    @input="
      task.$setAndSaveAttributes({ postponedUntil: $event });
      $emit('picked');
    "
    :title="`Postpone until`"
    location="center"
  />
</template>

<script lang="ts">
import DatePicker from "@/components/DatePicker.vue";
import { isModal } from "@/use/modal";
import Task from "@/models/Task";

export default {
  components: { DatePicker },
  mixins: [isModal()],
  emits: ["picked"],
  props: {
    task: {
      type: Task,
      required: true
    }
  }
};
</script>
